<?php
include "../ver_sessao.php";
include "../conecta.php";
set_time_limit(0);


define(NOME_VALOR,"prod_tx_valor");
define(NOME_QTDE,"prod_tx_qtde");




function index(){
	
	unset($_POST[ordem]);
	unset($_POST[ordem]);
	
	cabecalho('Devolução de Compra',2);
	
	if($_POST[busca_cod]!=''){
		$extra .= " AND enti_nb_id = '$_POST[busca_cod]' ";
	}
	
	if($_POST[busca_nome]!=''){
		$extra .= " AND enti_tx_nome LIKE '%$_POST[busca_nome]%' ";
	}
	
	if($_POST[busca_cnpj]!=''){
		$extra .= " AND enti_tx_cnpj = '$_POST[busca_cnpj]' ";
	}
	
	//CAMPOS
	$cod = cactux::campo('Código','busca_cod','',2);
	$nome = cactux::campo('Nome','busca_nome','',6);
	$cnpj = cactux::campo('CNPJ','busca_cnpj','',2,MASCARA_CNPJ);
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	// $inserirf = cactux::botao('Inserir P. Física',2,'inserir_fisica');
	// $inserirj = cactux::botao('Inserir P. Jurídica',2,'inserir_juridica');
	$status = cactux::msg_status();
	
	$sql = selecionar('entidade','enti_tx_status','ativo',"$extra",1);
	$BUSCA = grid::gerar_paginacao($sql);
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$nome,$cnpj);
	cactux::linha_fieldset($buscar,$inserirf,$inserirj,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	// cactux::acao_botao('inserir','abre_cliente');
	cactux::acao_botao('inserir_fisica','abre_cliente_fisico');
	cactux::acao_botao('inserir_juridica','abre_cliente_juridico');
	
	
	$cabecalho[] = array('CÓD','NOME','CNPJ','');
	$cabecalho[] = 'c,e,e';
	$cabecalho[] = '5%,,20%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		$valores[] = array($a[enti_nb_id],$a[enti_tx_nome],$a[enti_tx_cnpj],".icone_modificar($a[0],'abre_pedido')");
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
}



function abre_cliente_juridico(){
	
	chamar_pag('cadastro_cliente.php','acao,retorno','layout_entidade_juridico,devolucao.php');
	
	index();
	exit;
}




function abre_cliente_fisico(){
	
	chamar_pag('cadastro_cliente.php','acao,retorno','layout_entidade_fisico,devolucao.php');
	
	index();
	exit;
}




function abre_pedido(){
	
	$_POST[cliente] = $_POST[id];
	layout_pedido_cliente();
	exit;
	
}




function exclui_devolucao(){

	remover('ordem',$_POST[id]);

	// // DEVOLVE OS PRODUTOS AO ESTOQUE
	// retorna_estoque($_POST[id]);

	$sql = selecionar('orpr','orpr_nb_ordem',"$_POST[id]"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') ");

	// REMOVE TODAS AS ORPR
	while ( $a = carrega_array($sql) ) {

		remover('orpr',$a[orpr_nb_id]);
	}


	layout_pedido_cliente();
	exit;
}




function layout_pedido_cliente(){
	
	cabecalho('Devolução de Compra',2);

	
	unset($_POST[ordem]);
	
	if($_POST[ordem]){
		$_POST[ordem] = $_POST[ordem];
	}

	if ( intval($_POST[cliente]) == 0 ) {
		set_status('ERRO: Nenhum cliente selecionado!');

		index();
		exit;
	}
	
	if($_POST[busca_codpedido]!=''){
		$extra .= " AND orde_nb_id = '$_POST[busca_codpedido]' ";
	}
	
	if($_POST[busca_datapedido]!=''){
		$date .= gera_data($_POST[busca_datapedido],1);
		$extra .= " AND orde_tx_data >= '$date 00:00:00' AND orde_tx_data <= '$date 23:59:59' ";
	}
	
	if($_POST[busca_situacaopedido]!=''){
		
		if($_POST[busca_situacaopedido] == 'Aberto')
			$extra .= " AND orde_tx_status = 'devolucao compra' ";
		else
			$extra .= " AND orde_tx_status = 'devolucao finalizada' ";
		
	}
	
	
	$cliente = carregar('entidade',$_POST[cliente]);


	cactux::abre_form();
	
	//TEXTOS
	$tx_forn = cactux::texto('Entidade:',$cliente[enti_nb_id]." - ".$cliente[enti_tx_nome],3);
	$tx_cnpj = cactux::texto('CNPJ/CPF:',$cliente[enti_tx_cnpj],5);
	
	//CAMPOS
	$cod = cactux::campo('Código','busca_codpedido','',2);
	$data = cactux::campo('Data','busca_datapedido','',2,MASCARA_DATA);
	$situa = cactux::combo('Situação','busca_situacaopedido',array('','Aberto','Encerrado'),$_POST[busca_situacaopedido],2);
	
	//BOTOES
	$voltar = cactux::botao('Voltar',2,'voltar');
	$buscar = cactux::botao_submit_busca('Buscar',2,'layout_pedido_cliente','cliente',$_POST[cliente]);
	$inserir = cactux::botao('Nova Devolução',2,'inserir');
	
	$sql = selecionar('ordem,entidade','orde_tx_status,orde_nb_entidade',"!inativo,$_POST[cliente]"," AND orde_tx_tipo = 'Devolução Compra' $extra ORDER BY orde_tx_data DESC, orde_nb_id DESC LIMIT 50");
		
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($tx_forn,$tx_cnpj);
	cactux::linha_fieldset($cod,$data,$situa);
	cactux::linha_fieldset($voltar,$buscar,$inserir);
	cactux::fecha_fieldset();
	cactux::fecha_form();

	
	cactux::acao_botao('voltar','index');
	cactux::acao_botao('inserir','layout_pedido','cliente,empresa',"$_POST[cliente],0");
	
	$cabecalho[] = array('CÓD','DATA','VALOR','Nº DE ITENS','SITUAÇÃO','','','');
	$cabecalho[] = 'c,c,c,c,c';
	$cabecalho[] = '7%,,20%,20%,15%,2%,2%,2%';
	$cabecalho[] = '60%';
	
	while( $a = carrega_array($sql) ){
		
		if ( $a[orde_tx_status] == 'devolucao compra' )
			$status = 'Aberto';
		else
			$status = 'Encerrado';


		// NÃO PERMITE EXCLUIR UMA DEVOLUÇÃO FINALIZADA, POR CAUSA DA NOTA FISCAL
		if ( $a[orde_tx_status] == 'devolucao compra' ) {

			$modificar = ".icone_modificar($a[orde_nb_id],'layout_pedido','cliente,ordem','$_POST[cliente],$a[orde_nb_id]')";
			$excluir = ".icone_excluir($a[orde_nb_id],'exclui_devolucao','cliente','$_POST[cliente]')";
		}

		
		//Nº DE ITENS
		$itens = selecionar('orpr','orpr_tx_status,orpr_nb_ordem',"ativo,$a[orde_nb_id]");
		$itens = num_linhas($itens);


		$imprimir = ".icone_modificar($a[orde_nb_id],'imprimir','','','../relatorios/pedido.php',' target=_blank','Imprimir Pedido','/cactus/imagens/imprimir.png')";
		
		$valores[] = array( $a[orde_nb_id], data($a[orde_tx_data],1), "R$ ".mostra_valor($a[orde_tx_valorTotal],1), $itens, $status, $imprimir, $modificar, $excluir );

		unset($modificar,$excluir);
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}




function reimprime_pedido(){
	
	chamar_pag('relatorios/pedido.php','acao,id',"imprimir,$_POST[ordem]",' target=_blank');
	layout_pedido_cliente();
	exit;
	
}



function imprimir_desconto(){

	chamar_pag('relatorios/pedido.php','acao,id',"imprimir_desconto,$_POST[ordem]",' target=_blank');
	layout_pedido_cliente();
	exit;


}



function layout_pedido(){	
	global $a_mod;
	global $a_mod_prod;


	
	cabecalho('Abrir Pedido',3);
	
	if( intval($_POST[ordem]) > 0 ) {
		$or = carregar('ordem,entidade',$_POST[ordem]);
	}

	$clie = carregar('entidade',$_POST[cliente]);

	


	cactux::abre_form();


	//CAMPOS
	$tx_forn = cactux::texto('Cliente:',$clie[enti_nb_id]." - ".$clie[enti_tx_nome],4);
	$tx_cnpj = cactux::texto('CNPJ/CPF:',$clie[enti_tx_cnpj],2);

	if( $_POST[ordem] )
		$tx_pedido = cactux::texto('Devolução:',$_POST[ordem]." - ".data($or[orde_tx_data],1),3);


	$produto = cactux::combo_net('Produto:','produto',$a_mod_prod[prod_nb_id],$a_mod_prod[prod_tx_nome],5,array('../busca_produto.php?p=custo','../busca_produto_net.php?p=custo'));
	$valor = cactux::campo('Valor:','valor',mostra_valor($a_mod[orpr_tx_valor]),1," readonly='readonly' ".MASCARA_VALOR);
	$qtde = cactux::campo('Qtde:','qtde',mostra_valor($a_mod[orpr_tx_qtde]),1,MASCARA_VALOR);



	//BOTOES
	$voltar = cactux::botao('Voltar',2,'voltar');

	if( acao()=='modifica_pedido' )
		$adicionar = cactux::botao_submit('Atualiza Produto',2,'atualiza_produto','id,cliente,ordem,finalizar,gera_boleto',"$_POST[id],$_POST[cliente],$_POST[ordem],nao,nao");
	else
		$adicionar = cactux::botao_submit('Adicionar Produto',2,'cadastra_produto','cliente,ordem,finalizar,gera_boleto',"$_POST[cliente],$_POST[ordem],nao,nao");
	
	$fechar = cactux::botao('Finalizar Devolução',2,'onclick=alerta_fechamento()');
	
	$status = cactux::msg_status(10);
	
	cactux::abre_fieldset('Informações Sobre Venda');
	cactux::linha_fieldset($tx_forn,$tx_cnpj,$tx_pedido);
	cactux::linha_fieldset($produto,$valor,$qtde);
	cactux::linha_fieldset($voltar,$adicionar,$fechar);
	cactux::linha_fieldset($status);
	cactux::fecha_fieldset();
	
	campo_hidden("valor_un",'');
	campo_hidden("valor_cx",'');
	campo_hidden("forma",'Unidade');
	


	cactux::fecha_form();	
	cactux::acao_botao('voltar','layout_pedido_cliente','cliente',"$_POST[cliente]");
	cactux::acao_botao('fechar','testa_fechamento','id,cliente,ordem',"$_POST[id],$_POST[cliente],$_POST[ordem]");

	
	$sql = selecionar("orpr, produto, ordem","orpr_nb_ordem,orpr_tx_status","$_POST[ordem],!inativo"," AND orpr_tx_status IN ('ativo','esperando') ORDER BY orpr_nb_id  DESC ");
	

	$cabecalho[] = array('CÓD','CÓDIGO EAN','DESCRIÇÃO','QTDE.','UNITÁRIO','SUB TOTAL','DESCONTO','TOTAL','','');
	$cabecalho[] = 'c,c,e,c,c,c';
	$cabecalho[] = '5%,10%,,8%,8%,8%,8%,8%,2%,2%';
	
	$i = num_linhas($sql);
	
	while( $a = carrega_array($sql) ){
		
		if( $a[prod_tx_qtde] < $a[orpr_tx_qtde] ){
			$div = "<div style='color:red'>";
		}else
			$div = '';
		
		//DEFINE CX ou UND
		if( $a[orpr_tx_forma] == 'Caixa' )
			$unidade = " Cx";
		else	
			$unidade = " Un";



		// TOTAL SEM DESCONTO
		$total_sd = $a[orpr_tx_qtde]*$a[orpr_tx_valor];

		// TOTAL COM DESCONTO
		$total = $a[orpr_tx_qtde]*$a[orpr_tx_valor]-$a[orpr_tx_desconto];

		
		// TOTAL GLOBAL
		$total_global_sd += $total_sd;
		$total_global += $total;

		// TOTAL DE DESCONTO
		$desconto_total += $a[orpr_tx_desconto];



		if ( $a[orpr_tx_porcentagem] > 0 ) {
			$desconto = 'R$&nbsp;'.mostra_valor($a[orpr_tx_desconto],1) . '&nbsp;('.mostra_valor($a[orpr_tx_porcentagem]).'%)';
		} else {
			// SEMPRE QUE TIVER DESCONTO ELE TEM EM PORCENTAGEM E EM REAL
			//$desconto = 'R$&nbsp;'.mostra_valor($a[orpr_tx_descontoReal]);
			$desconto = '';
		}
		
		$valores[] = array( $div.$i--, $div.$a[prod_tx_codbarras], $div.$a[prod_tx_nome], $div.mostra_valor($a[orpr_tx_qtde],1), $div.'R$ '.mostra_valor($a[orpr_tx_valor]),
							$div.'R$ '.mostra_valor($total_sd), $div.$desconto, $div.'R$ '.mostra_valor($total),
							".icone_modificar($a[orpr_nb_id],'modifica_pedido','cliente,ordem','$_POST[cliente],$_POST[ordem]')",
							".icone_excluir($a[orpr_nb_id],'exclui_orpr','cliente,ordem','$_POST[cliente],$_POST[ordem]')" );
	}

	if ( $desconto_total > 0 ) {
		$porc_descontos = $desconto_total*100/$total_global_sd;

		$string_desconto = '<b>R$&nbsp;'.mostra_valor($desconto_total,1).'&nbsp;('.mostra_valor($porc_descontos,1).'%)';
		
	} else {
		$porc_descontos = 0;

		$string_desconto = '';
	}

	
	$valores[] = array( '', '', '', '', '<b>TOTAL:</b>', '<b>R$ '.mostra_valor($total_global_sd,1), $string_desconto, '<b>R$ '.mostra_valor($total_global), '', '' );


	
	grid::gerar($cabecalho,$valores);
	
	rodape();

	
	javascript("

	function valor_desconto(campo){
		var valor = campo.replace('.','').replace(',','.');
		if(document.cadastro.valor.value != ''){
			var valortotal = document.cadastro.valor.value;
			valortotal = valortotal.replace('.','').replace(',','.');

			var qtde = document.cadastro.qtde.value;
			qtde = qtde.replace('.','').replace(',','.');
			if(qtde == ''){
				qtde = 1;
			}

			var descontoReal = ((valortotal*qtde)*(valor/100.00));

			document.getElementById('id_descontoReal').innerHTML = descontoReal.formatMoney();
			document.cadastro.descontoReal.value = descontoReal.formatMoney();
		}

	}
	
	function envia_combo(valor,campo) {
		eval(\"document.cadastro.\"+campo+\".value='\"+valor+\"';\");
	}
	
	function alerta_fechamento() {
		
		if(	confirm('Confirma o encerramento da devolução?') ) {
			window.document.fechar.submit();
		}
		
	}
	
	");

	
}





function testa_fechamento(){


	if ( intval($_POST[ordem]) == 0 ) {

		set_status('ERRO: Nenhum pedido em aberto!');
		layout_pedido();
		exit;
	}

	
	// VERIFICA SE FOI ADICIONADO ALGUM ITEM NO PEDIDO
	$sql = selecionar("orpr","orpr_nb_ordem","$_POST[ordem]"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') ORDER BY orpr_nb_id  DESC ");

	if( num_linhas($sql) == 0 ){
		set_status('Pedido sem itens! Por favor insira produtos.');
		layout_pedido();
		exit;

	}


	finaliza_devolucao();
	exit;
	
}




function finaliza_devolucao(){


	// CONFIRMA SE O CÓDIGO DA DEVOLUÇÃO FOI INFORMADO
	if ( intval($_POST[ordem]) == 0 ) {
		set_status('ERRO: Nenhuma devolução informada!');
		index();
		exit;
	}


	// OBTEM O VALOR TOTAL DA VENDA SEM O DESCONTO
	$valor_devolucao=0;
	$sql2 = selecionar('SUM(orpr_tx_qtde*orpr_tx_valor) as total,orpr_nb_id|orpr','orpr_nb_ordem',"$_POST[ordem]"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') GROUP BY orpr_nb_id ",0);
	while( $a2 = carrega_array($sql2) ) {
		$valor_devolucao += $a2[total];

		atualizar('orpr',array(orpr_tx_status),array('ativo'),$a2[orpr_nb_id]);
	}


	$campos = array(orde_tx_valor,orde_tx_valorTotal);
	$valores = array($valor_devolucao,$valor_devolucao);
	atualizar('ordem',$campos,$valores,$_POST[ordem]);


	// REALIZA A BAIXA DO ESTOQUE DOS PRODUTOS
	// baixa_estoque($_POST[ordem]);

	// EM layout_pedido_cliente() ESSA VARIÁVEL É APAGADA
	$id_ordem = $_POST[ordem];


	if ( intval($_POST[cliente]) > 0 )
		layout_pedido_cliente();
	else
		index();



	// NO FIREFOX SOH FUNCIONA SE TIVER ESSE <BODY>
	// ESSE CÓDIGO TAMBÉM TEM QUE FICAR ABAIXO DAS FUNÇÕES DE CHAMADA DE LAYOUT, POIS NO CRHOME, ELE FICA COM UMA TELA EM BRANCO SE FOR ANTES
	echo "<body>";
	cactux::acao_botao('form_imprime_comprovante','imprimir','id',"$id_ordem",'../relatorios/pedido.php','',' target=_blank');
	echo "<script>	window.document.onload=window.document.form_imprime_comprovante.submit();</script>";


	exit;	
}



function modifica_pedido(){
	
	global $a_mod;
	global $a_mod_prod;
	
	$a_mod = carregar('orpr',$_POST[id]);
	$a_mod_prod = carregar('produto',$a_mod[orpr_nb_produto]);

	layout_pedido();		
	exit;
	
	
}



function volta_estoque(){
	
	//DA BAIXA NO ESTOQUE
	
	$a = carregar('orpr',$_POST[id]);
	
	$prod = carregar('produto',$a[orpr_nb_produto]);
	
	if( $a[orpr_tx_forma] == 'Unidade' ) {
		
		$qtde = ($prod[NOME_QTDE]+$a[orpr_tx_qtde]);
		$qtdecx = $prod[NOME_QTDE]+($a[orpr_tx_qtde]*$prod[prod_tx_embalagem]); 
		
	}else{
		
		$qtde = $prod[NOME_QTDE]+($a[orpr_tx_qtde]*$prod[prod_tx_embalagem]);
		$qtdecx = $prod[prod_tx_embalagem]+$a[orpr_tx_qtde];
		
	}
	
	$campos = array(NOME_QTDE);
	$valores = array($qtde);
	atualizar('produto',$campos,$valores,$prod[prod_nb_id]);
	
}



function exclui_orpr(){	
	
	remover('orpr',$_POST[id]);

	layout_pedido();
	exit;	
}




function calcula_vencimentos(){
	
	$parcelas = $_GET[parcelas];
	
	$hj = gera_data('hoje');
	
	$data = $hj;
	
	// javascript("
		
	// 	window.parent.document.getElementById('venc_'+0).value='".data($hj)."';
		
	// ");
	
	for($i=0; $i!=$parcelas; $i++){
		
		$data += 2592000 ;// HJ + 30dias
		$n = $i;
		
		javascript("
			
			window.parent.document.getElementById('venc_'+$n).value='".data($data)."';
			
		");
		
	}
	
}



function baixa_estoque($id_ordem=0){


	if ( intval($id_ordem) == 0 ) {
		set_status('ERRO: Código do pedido não informado!');

		index();
		exit;
	}

	
	// DA BAIXA NO ESTOQUE
	$s = selecionar('orpr','orpr_nb_ordem',"$id_ordem"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') ");


	while( $a = fetch_array($s) ) {
		
		$prod = carregar('produto',$a[orpr_nb_produto]);
		
		if( $a[orpr_tx_forma] == 'Unidade' ) {
			
			
			$qtde = ($prod[prod_tx_qtde]-$a[orpr_tx_qtde]);
			
		}else{
			
			$qtde = $prod[prod_tx_qtde]-($a[orpr_tx_qtde]*$prod[prod_tx_embalagem]);			
		}
		
		$campos = array(NOME_QTDE);
		$valores = array($qtde);

		atualizar('produto',$campos,$valores,$prod[prod_nb_id]);		
	}

	// MUDA O STATUS DAS ORPR DE ESPERANDO PARA ATIVO
	atualizar('orpr','orpr_tx_status','ativo','','orpr_nb_ordem,orpr_tx_status',"$id_ordem,esperando");	
}




function retorna_estoque($id_ordem=0){


	if ( intval($id_ordem) == 0 ) {
		set_status('ERRO: Código do pedido não informado!');

		index();
		exit;
	}

	
	// DA BAIXA NO ESTOQUE
	$s = selecionar('orpr','orpr_nb_ordem',"$id_ordem"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') ");


	while( $a = fetch_array($s) ) {
		
		$prod = carregar('produto',$a[orpr_nb_produto]);
		
		if( $a[orpr_tx_forma] == 'Unidade' ) {			
			
			$qtde = ($prod[prod_tx_qtde]+$a[orpr_tx_qtde]);
			
		}else{
			
			$qtde = $prod[prod_tx_qtde]+($a[orpr_tx_qtde]*$prod[prod_tx_embalagem]);			
		}
		
		$campos = array(NOME_QTDE);
		$valores = array($qtde);

		atualizar('produto',$campos,$valores,$prod[prod_nb_id]);		
	}

}



function calcula_desconto(){

if( $_GET[forma] != '') {
		
		$a = carregar('forma',$_GET[forma]);
		
		$valor = $_GET[total]-($_GET[total]*($_GET[form_tx_desconto]/100));
		// SE TIVER DESCONTO EM %
		
		if($_GET[reais]!='' || $_GET[reais]!='0' || $_GET[porcentagem]!='0'  || $_GET[porcentagem]!=''){
			
			$reais = valor($_GET[reais]);
			$porcentagem = valor($_GET[porcentagem]);
			$valor = $_GET[total]-($_GET[total]*($porcentagem/100));
			
			$valor -= $reais;
			
			$desconto_final = (($valor*100)/$_GET[total])-100;
			$desconto_final = mostra_valor(abs(round($desconto_final,2)))."%";
			
			echo "Entrou!";
		}
		
		$desc = mostra_valor($_GET[total]-$valor);
		$desc2 = round($_GET[total]-$valor,2);
		$valor = mostra_valor($valor);
		
		
		echo "<hr>VALOR: $valor<br>desc: $desc<br>Desc2: $desc2<br>";
		
	} else {
		
		$valor = mostra_valor($_GET[total]);
		$desc = '';
		$desc2 = '';
		$a[form_tx_desconto]='';
		
	}
	
	$desc_t = $desconto_final." (R$ ".$desc.")";
	
	javascript("
		
		// window.parent.$('div_total').innerHTML='$valor';
		// window.parent.$('div_descontot').innerHTML='$desc_t';
		// window.parent.document.cadastro.desconto_p.value='$a[form_tx_desconto]';
		// window.parent.document.cadastro.valor_desconto_t_original.value='$desc2';
		// window.parent.document.cadastro.desconto_t.value='$valor';

		window.parent.document.cadastro.valor_total_final.value='$valor';
		window.parent.$('div_total').innerHTML='$valor';
		window.parent.$('div_descontot').innerHTML='$desc_t';
		window.parent.document.cadastro.desconto_p.value='$_GET[porcentagem]';
		window.parent.document.cadastro.valor_desconto_t_original.value='$desc2';
		window.parent.document.cadastro.desconto_t.value='$valor';
		
	");
	
}






function cadastra_produto(){

	// print_r($_POST);exit;


	// SE FOR O INICIO DA VENDA CHAMA A FUNCAO ABRE_PEDIDO()
	if( !$_POST[ordem] ) {
		abrir_pedido();
	}
	
	if( !$_POST[qtde] )
		$_POST[qtde] = 1;
	
	$_POST[qtde] = valor($_POST[qtde]);

	$_POST[forma] = 'Unidade';

	
	if( intval($_POST[produto]) == 0 ) {
		set_status('ERRO: entre com um produto!');
		layout_pedido();
		exit;
	}

	
	// CONFIRMA SE O PEDIDO FOI REALMENTE ABERTO
	if( intval($_POST[ordem]) == 0 ) {
		set_status('ERRO: Falha ao abrir pedido!');
		layout_pedido();
		exit;
	}



	$p = carregar('produto',$_POST[produto]);


	$campos = array(orpr_nb_ordem,orpr_nb_produto,orpr_tx_valor,orpr_tx_qtde,orpr_tx_custo,orpr_tx_status,orpr_tx_forma);
	$valores = array($_POST[ordem],$_POST[produto],$p[prod_tx_valorCusto],$_POST[qtde],$p[prod_tx_valorCusto],'esperando',$_POST[forma]);
	inserir('orpr',$campos,$valores,1);

	
	layout_pedido();
	exit;
	
}




function atualiza_produto(){

	
	// SE ESQUECEU DE ENTRAR COM A QUANTIDADE ENTAO JOGA 1
	if( !$_POST[qtde] )
		$_POST[qtde] = 1;

	
	// CONFIRMA SE O PEDIDO FOI REALMENTE ABERTO
	if( intval($_POST[ordem]) == 0 ) {
		set_status('ERRO: Pedido não aberto!');
		layout_pedido();
		exit;
	}

	
	if( intval($_POST[produto]) == 0 ) {
		set_status('ERRO: entre com um produto!');
		layout_pedido();
		exit;
	}


	$_POST[qtde] = valor($_POST[qtde]);

	$_POST[forma] = 'Unidade';

	
	$p = carregar('produto',$_POST[produto]);

	

	$campos = array(orpr_nb_ordem,orpr_nb_produto,orpr_tx_valor,orpr_tx_qtde,orpr_tx_custo,orpr_tx_status,orpr_tx_forma);
	$valores = array($_POST[ordem],$_POST[produto],$p[prod_tx_valorCusto],$_POST[qtde],$p[prod_tx_valorCusto],'esperando',$_POST[forma]);
	atualizar('orpr',$campos,$valores,$_POST[id]);

	
	layout_pedido();
	exit;

}




function abrir_pedido(){
	
	$LOJA = 1;


	if ( intval($_POST[cliente]) == 0 ) {

		set_status('ERRO: informe o cliente!');

		index();
		exit;
	}

	$campos = array(orde_nb_entidade,orde_tx_data,orde_tx_dataCadastro,orde_tx_status,orde_tx_tipo,orde_nb_user,orde_nb_empresa);
	$valores = array($_POST[cliente],date('Y-m-d H:i:s'),date('Y-m-d H:i:s'),'devolucao compra','Devolução Compra',$_SESSION[user_nb_id],$LOJA);
	inserir('ordem',$campos,$valores,1);
	
	$_POST[ordem] = ultimo_id();
	
	set_status('Devolução iniciada com Sucesso!');
	
}

CONTROLE();
?>